from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XModifyBroadcaster

@runtime_checkable
class XStringResourceResolver(XModifyBroadcaster, Protocol):
    def hasEntryForId(self, ResourceID: str) -> bool: ...
    def hasEntryForIdAndLocale(self, ResourceID: str, locale: Locale) -> bool: ...
    def getResourceIDs(self) -> list[str]: ...
    def getResourceIDsForLocale(self, locale: Locale) -> list[str]: ...
    def getCurrentLocale(self) -> Locale: ...
    def getDefaultLocale(self) -> Locale: ...
    def getLocales(self) -> list[Locale]: ...
